Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 88317 - chess game freezes after certain move
Summary: chess game freezes after certain move
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnuchess
Version: 8.0
Hardware: i586
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-08 21:17 UTC by Jason Hibbets
Modified: 2007-04-18 16:52 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-06-03 11:06:59 UTC


Attachments (Terms of Use)
test case (deleted)
2003-04-14 02:52 UTC, Lee Killough
no flags Details

Description Jason Hibbets 2003-04-08 21:17:54 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
While playing chess and you produce a ceratin move when a pawn captures another
pawn by a "back" capture the computer fails to execute another move.  Detailed
reproduction: you have a 2 white pawns and 1 black pawn on squares that connect
to each other like this:
Open | Open
Blck | Whte
Whte | Open 
and you move the furthest pawn to capture black
Whte | Open
Cap  | Open
Whte | Open

the computer (black) does not execute additional moves, black flag falls, and
game is stuck.

Version-Release number of selected component (if applicable):
gnuchess-5.02-9

How reproducible:
Always

Steps to Reproduce:
1.play chess
2.produce scheme above
3.capture black pawn with "back" capture
    

Actual Results:  Game freezes and you can no longer move.

Expected Results:  Game should continue so that I can finally beat this hard ass
computer competition.

Additional info:

Hope this helps.  It would ne nice to choose diffetent levels of play, but I
guess that is featurezilla.

Comment 1 Lee Killough 2003-04-14 02:52:34 UTC
Created attachment 91112 [details]
test case

Comment 2 Lee Killough 2003-04-14 02:54:28 UTC
Technically, the term for a "back" pawn capture as described, is "en passant".

The bug is that illegal en passant captures are not always detected correctly.

xboard does not catch all illegal moves, and gnuchess may interpret moves which
are legal syntatically but illegal semantically as bad commands, a response
which is ambiguous to xboard.

http://mail.gnu.org/archive/html/bug-gnu-chess/2002-03/msg00002.html

Test case (save this in bug.pgn and then run xboard -lgf bug.pgn):

1. d4 Nf6 2. Nc3 e6 3. Nf3 Bb4 4. a3 Bxc3+ 5. bxc3 O-O 6. e3 d5 7. Ne5 Ne4
8. Ng4 Nxc3 9. Qd3 Ne4 10. c4 Nc6 11. Bb2 f5 12. Ne5 Nxe5 13. dxe5 f4 14.
exd6
*


Comment 3 Karsten Hopp 2003-06-03 11:06:59 UTC
waiting for an upstream fix


Note You need to log in before you can comment on or make changes to this bug.